uk.gov.hmrc.ct.ct600a.v3

# Repayment

###
Related Doc: package v3

#### case class Repayment(id: String, amount: Option[Int], amountBefore06042016: Option[Int] = None, date: Option[LocalDate], endDateOfAP: Option[LocalDate] = None) extends LoansDateRules with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, LoansDateRules, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Repayment
2. Serializable
3. Serializable
4. Product
5. Equals
6. LoansDateRules
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Repayment(id: String, amount: Option[Int], amountBefore06042016: Option[Int] = None, date: Option[LocalDate], endDateOfAP: Option[LocalDate] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val amount: Option[Int]

5. #### val amountBefore06042016: Option[Int]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def currentAPEndDate(boxRetriever: CT600ABoxRetriever): LocalDate

9. #### def currentAPEndDatePlus9Months(boxRetriever: CT600ABoxRetriever): LocalDate

10. #### val date: Option[LocalDate]

    Definition Classes
      Repayment → LoansDateRules

11. #### def dateAtStartOfToday: LocalDate

12. #### def earlierOfNowAndAPEndDatePlus9Months(boxRetriever: CT600ABoxRetriever): LocalDate

13. #### val endDateOfAP: Option[LocalDate]

    Definition Classes
      Repayment → LoansDateRules

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def errorArgsOtherRepaymentsApEndDate(boxRetriever: CT600ABoxRetriever): Some[Seq[String]]

16. #### def errorArgsOtherRepaymentsDate(boxRetriever: CT600ABoxRetriever): Some[Seq[String]]

17. #### def errorArgsRepaymentsWith9MonthsDate(boxRetriever: CT600ABoxRetriever): Some[Seq[String]]

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### val id: String

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def isLaterReliefNotYetDue(acctPeriodEnd: LocalDate, filingDate: LPQ07): Boolean

    Definition Classes
      LoansDateRules

23. #### def isLaterReliefNowDue(acctPeriodEnd: LocalDate, filingDate: LPQ07): Boolean

    Definition Classes
      LoansDateRules

24. #### def isReliefEarlierThanDue(acctPeriodEnd: LocalDate): Boolean

    Definition Classes
      LoansDateRules

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val repaymentAfter9MonthsErrorCode: String

29. #### val repaymentWithin9monthsErrorCode: String

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def validateAfter9Months(boxRetriever: CT600ABoxRetriever, loansToParticipators: LoansToParticipators, loanIndex: Int): Set[CtValidation]

32. #### def validateRepayment(invalid: Boolean, errorMsg: String, errorArgs: Option[Seq[String]], loanIndex: Int): Set[CtValidation]

33. #### def validateWithin9Months(boxRetriever: CT600ABoxRetriever, loanIndex: Int): Set[CtValidation]

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from LoansDateRules

### Inherited from AnyRef

### Inherited from Any

### Ungrouped